Package org.eclipse.microprofile.metrics.tck.metrics

## Class TimedMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.TimedMethodBeanTest

    public class TimedMethodBeanTest
    extends Object

### Constructor Summary

Constructors
`TimedMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callTimedMethodOnce()`
`void` `instantiateTest()`
`void` `removeTimerFromRegistry()`
`void` `timedMethodNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimedMethodBeanTest

    public TimedMethodBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### timedMethodNotCalledYet

    @InSequence(1)
    public void timedMethodNotCalledYet()

#### callTimedMethodOnce

    @InSequence(2)
    public void callTimedMethodOnce()
                             throws InterruptedException

Throws:
  `InterruptedException`

#### removeTimerFromRegistry

    @InSequence(3)
    public void removeTimerFromRegistry()
                                 throws InterruptedException

Throws:
  `InterruptedException`